# Namespace: platform

## platform

Platform.js Copyright 2014-2018 Benjamin Tan Copyright 2011-2013 John-David Dalton Available under MIT license

Source:
  - lib/platform.js, line 1

### Members

#### (static) description :string|null

The platform description.

##### Type:

- string | null

Source:
  - lib/platform.js, line 1047

#### (static) layout :string|null

The name of the browser's layout engine.

The list of common layout engines include: "Blink", "EdgeHTML", "Gecko", "Trident" and "WebKit"

##### Type:

- string | null

Source:
  - lib/platform.js, line 1058

#### (static) manufacturer :string|null

The name of the product's manufacturer.

The list of manufacturers include: "Apple", "Archos", "Amazon", "Asus", "Barnes & Noble", "BlackBerry", "Google", "HP", "HTC", "LG", "Microsoft", "Motorola", "Nintendo", "Nokia", "Samsung" and "Sony"

##### Type:

- string | null

Source:
  - lib/platform.js, line 1071

#### (static) name :string|null

The name of the browser/environment.

The list of common browser names include: "Chrome", "Electron", "Firefox", "Firefox for iOS", "IE", "Microsoft Edge", "PhantomJS", "Safari", "SeaMonkey", "Silk", "Opera Mini" and "Opera"

Mobile versions of some browsers have "Mobile" appended to their name: eg. "Chrome Mobile", "Firefox Mobile", "IE Mobile" and "Opera Mobile"

##### Type:

- string | null

Source:
  - lib/platform.js, line 1087

#### (static) os :Object

The name of the operating system.

##### Type:

- Object

Source:
  - lib/platform.js, line 1132

#### (static) platform :Object

The platform object.

##### Type:

- Object

Source:
  - lib/platform.js, line 1039

#### (static) prerelease :string|null

The alpha/beta release indicator.

##### Type:

- string | null

Source:
  - lib/platform.js, line 1095

#### (static) product :string|null

The name of the product hosting the browser.

The list of common products include:

"BlackBerry", "Galaxy S4", "Lumia", "iPad", "iPod", "iPhone", "Kindle", "Kindle Fire", "Nexus", "Nook", "PlayBook", "TouchPad" and "Transformer"

##### Type:

- string | null

Source:
  - lib/platform.js, line 1108

#### (static) toString

Returns `platform.description` when the platform object is coerced to a string.

Source:
  - lib/platform.js, line 604

#### (static) ua :string|null

The browser's user agent string.

##### Type:

- string | null

Source:
  - lib/platform.js, line 1116

#### (static) version :string|null

The browser/environment version.

##### Type:

- string | null

Source:
  - lib/platform.js, line 1124

### Methods

#### (static) parse(uaopt) → {Object}

Creates a new platform object.

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`ua` | Object | string | <optional> | navigator.userAgent | The user agent string or context object.

Source:
  - lib/platform.js, line 254

##### Returns:

A platform object.

Type
  Object